# SetGameScoreByInlineMessageId - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests.games / SetGameScoreByInlineMessageId

# SetGameScoreByInlineMessageId

(common) `data class SetGameScoreByInlineMessageId : SetGameScore, InlineMessageAction` (source)

### Constructors

(common)

#### <init>

`SetGameScoreByInlineMessageId(userId: UserId, score: Long, inlineMessageId: InlineMessageIdentifier, force: Boolean = false, disableEditMessage: Boolean = false)`

### Properties

(common)

#### disableEditMessage

`val disableEditMessage: Boolean`

(common)

#### force

`val force: Boolean`

(common)

#### inlineMessageId

`val inlineMessageId: InlineMessageIdentifier`

(common)

#### requestSerializer

`val requestSerializer: SerializationStrategy<*>`

(common)

#### score

`val score: Long`

(common)

#### userId

`val userId: UserId`